# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

# comment out when not pre-release
#define prel		rc1

%define rel		10

%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

### set to '0' to do a bootstrap build as build doc need python3-audaspace itself
%define build_doc	0

Name:		audaspace
Version:	1.3.0
Release:	%mkrel 1
Summary:	A feature rich high level audio library
License:	Apache License
Group:		Sound
URL:		http://audaspace.github.io/
Source0:	https://github.com/audaspace/%{name}/archive/v%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}.tar.xz
Patch0:		audaspace-gcc7.patch

%description
Audaspace (pronounced "outer space") is a high level audio library written
in C++ with language bindings for Python for example.
It started out as the audio engine of the 3D modelling application Blender
and is now released as a standalone library.

#------------------------------------------------
%if %build_doc
%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description	doc
This package contains documentation for %{name}.
%endif
#------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Audaspace (pronounced "outer space") is a high level audio library written
in C++ with language bindings for Python for example.
It started out as the audio engine of the 3D modelling application Blender
and is now released as a standalone library.
This package contains library files for %{name}.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains header files for development with %{name}.

#------------------------------------------------

%package -n	python3-%{name}
Summary:	Python3 bindings package for %{name}
Group:		Development/Python

%description -n	python3-%{name}
This package contains Python3 bindings for %{name}.

#------------------------------------------------

%package -n	python3-%{name}-devel
Summary:	Python3 development package for %{name}
Group:		Development/Python
Requires:	python3-%{name} = %{version}-%{release}

%description -n	python3-%{name}-devel
This package contains Python3 header files for development with %{name}.

#------------------------------------------------
%prep
%setup -q -n %{name}-%{version}%{?prel:-%prel}
%apply_patches

%build
%cmake \
	-DCMAKE_BUILD_TYPE:STRING=Release \
	-DWITH_STRICT_DEPENDENCIES:BOOL=FALSE \
	-DUSE_SDL2:BOOL=TRUE \
	%if %build_doc == 1
	-DSPHINX_EXECUTABLE=%{_bindir}/sphinx-build-%{python3_version} \
	-DDOCUMENTATION_INSTALL_PATH:PATH=%{_docdir}/%{name}-doc \
	%endif
	%if %build_doc == 0
	-DWITH_DOCS:BOOL=FALSE \
	-DWITH_BINDING_DOCS:BOOL=FALSE \
	%endif
	-DDEFAULT_PLUGIN_PATH:PATH=%{_libdir}/%{name}/plugins
%make_build

%install
%make_install -C build

%files
%doc AUTHORS LICENSE README.md
%{_bindir}/*

%if %build_doc
%files doc
%{_docdir}/%{name}-doc/
%endif

%files -n %{libname}
%doc AUTHORS LICENSE README.md
%{_libdir}/lib%{name}*.so.%{major}*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/libaud*.so.%{major}*

%files -n %{develname}
%doc AUTHORS LICENSE README.md
%{_includedir}/%{name}/
%{_libdir}/lib%{name}*.so
%{_libdir}/%{name}/plugins/libaud*.so
%{_libdir}/pkgconfig/%{name}.pc

#%files -n python3-%{name}
#%doc AUTHORS LICENSE README.md
#%{python3_sitearch}/aud.cpython-3?m-*.so
#%{python3_sitearch}/%{name}-%{version}%{?prel}-py%{python3_version}.egg-info

#%files -n python3-%{name}-devel
%doc AUTHORS LICENSE README.md
#%{_includedir}/python*/%{name}/


%changelog
* Mon Nov 05 2018 adrianomorselli <adrianomorselli> 1.3.0-1uplos2018
- import for blender
